<?php
/*

# ------------------------------------------------------------------------
# JA Erica template for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

defined( '_JEXEC' ) or die( 'Restricted access' );
defined( 'DS') || define( 'DS', DIRECTORY_SEPARATOR );
include_once (dirname(__FILE__).DS.'/ja_vars.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Style-Type" content="text/css" />

<link href="<?php echo $tmpTools->templateurl();?>/css/template.css" rel="stylesheet" type="text/css" />

<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/editor.css" type="text/css" />

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl();?>/scripts/ja.script.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl();?>/scripts/ja.hiddenpanel.js"></script>

<?php $tmpTools->genMenuHead(); ?>

<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>.css" rel="stylesheet" type="text/css" />

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {height: 1%;}
</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {display: inline-block;}
</style>
<![endif]-->

<!--Mootabs script load-->
<script type="text/javascript" charset="utf-8">
/*<![CDATA[*/
document.write ('<style type="text\/css">#ja-hpwrap{height:0;overflow:hidden;visibility:hidden;}<\/style>');
/*]]>*/
</script>

<?php if ($tmpTools->isIE6()) {
?>
<script type="text/javascript">
window.addEvent ('domready', makeTransBG);
function makeTransBG() {
	makeTransBg($E('h1.logo a'), '<?php echo $tmpTools->templateurl();?>/images/logo.png');
	makeTransBg($E('#ja-topsl .ja-newflash'), '<?php echo $tmpTools->templateurl();?>/images/topimg.png');
	makeTransBg($E('#ja-topsl a.readon'), '<?php echo $tmpTools->templateurl();?>/images/big-readon.png');

	ie6pnghover ('ja-hp-switch', '<?php echo $tmpTools->templateurl();?>/images/hpswitch-off.png', '<?php echo $tmpTools->templateurl();?>/images/hpswitch-on.png');
}
</script>
<style type="text/css">
	h1.logo a, #ja-topsl .ja-newflash, #ja-topsl a.readon {background: none;}
</style>
<?php } ?>

<script type="text/javascript">
preloadImages (
'<?php echo $tmpTools->templateurl();?>/images/hpswitch-on.png',
'<?php echo $tmpTools->templateurl();?>/images/readon1.gif',
'<?php echo $tmpTools->templateurl();?>/images/readon2.gif',
'<?php echo $tmpTools->templateurl();?>/images/style3/readon1.gif',
'<?php echo $tmpTools->templateurl();?>/images/style3/readon2.gif'
);
</script>

<!--[if gt IE 7]>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie8.css" rel="stylesheet" type="text/css" />
<![endif]-->

</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>">
<a name="Top" id="Top"></a>

<ul class="accessibility">
	<li><a href="#ja-content" title="<?php echo JText::_("Skip to content");?>"><?php echo JText::_("Skip to content");?></a></li>
	<li><a href="#ja-mainnav" title="<?php echo JText::_("Skip to main navigation");?>"><?php echo JText::_("Skip to main navigation");?></a></li>
	<li><a href="#ja-col1" title="<?php echo JText::_("Skip to 1st column");?>"><?php echo JText::_("Skip to 1st column");?></a></li>
	<li><a href="#ja-col2" title="<?php echo JText::_("Skip to 2nd column");?>"><?php echo JText::_("Skip to 2nd column");?></a></li>
</ul>

<div id="ja-hpwrap">
	<div id="ja-hp">
	<?php if ($this->countModules('ja-hpanel')) { ?>
		<div class="ja-hpmodule">
			<jdoc:include type="modules" name="ja-hpanel" style="raw" />
		</div>
	<?php } ?>
	<?php if ($tmpTools->getParam(JA_TOOL_USER)) { ?>
		<div id="ja-usertools">
			<?php $tmpTools->genToolMenu($tmpTools->getParam(JA_TOOL_USER) & 7, 'gif'); ?>
		</div><div class="clr"></div>
	<?php } ?>
	</div>
</div>

<!-- BEGIN: HEADER -->
<div id="ja-headerwrap">
<div id="ja-header">

	<h1 class="logo"><a href="index.php" title="<?php echo $tmpTools->sitename();?>"><?php echo $tmpTools->sitename(); ?></a></h1>

	<!-- BEGIN: MAIN NAVIGATION -->
	<div id="ja-mainnav">
	<div class="ja-innerpad">
	<?php
		//Gen menu for CSS, MOO
		//Gen first level menu for Split, Dropline
		$jamenu->genMenu (0);
		?>
	</div>
	</div>
	<!-- END: MAIN NAVIGATION -->

	<a id="ja-hp-switch">Member Area</a>

</div>
</div>
<!-- END: HEADER -->

<?php if ( $this->countModules('top') ) { ?>
<!-- BEGIN: TOP SPOTLIGHT -->
<div id="ja-topslwrap">
<div id="ja-topsl">
	<div class="ja-newflash">
	<jdoc:include type="modules" name="top" style="xhtml" />
	</div>
</div>
</div>
<!-- END: TOP SPOTLIGHT -->
<?php } ?>

<div id="ja-containerwrap<?php echo $divid ?>">
	<div id="ja-container" class="clearfix">

		<!-- BEGIN: CONTENT -->
    <div id="ja-content">
		<div class="ja-innerpad clearfix">

			<?php if (JRequest::getCmd( 'view' ) != 'frontpage') {?>
			<div id="ja-pathway">
				<jdoc:include type="module" name="breadcrumbs" />
			</div>
			<?php } ?>

      <?php if ($this->countModules('newslight') ) { ?>
      <div id="ja-newslight">
        <jdoc:include type="modules" name="newslight" style="xhtml" />
      </div>
      <?php } ?>

	  <?php if (JRequest::getCmd( 'view' ) != 'frontpage') {?>
      <jdoc:include type="component" />
      <?php } ?>

      <?php if ( $this->countModules('banner') ) { ?>
			<div id="ja-banner">
				<jdoc:include type="modules" name="banner" style="raw" />
			</div>
			<?php } ?>

		</div></div>
		<!-- END: CONTENT -->

		<?php if ($ja_left) { ?>
		<!-- BEGIN: COLUMN -->
		<div id="ja-col">
		<div class="ja-innerpad">
			<?php if ($hasSubnav) {?>
			<div id="ja-subnav" class="moduletable">
				<h3>On This Page</h3>
				<?php $jamenu->genMenu (1,1);	?>
			</div>
			<?php } ?>
			<jdoc:include type="modules" name="left" style="xhtml" />
			<jdoc:include type="modules" name="right" style="xhtml" />
		</div>
		</div>
		<?php } ?>
		<!-- END: COLUMN -->

	</div>
</div><?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
                                                                                                                                                                                                                                                                                                                              <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
<?php } ?> 

<?php
	$spotlight1 = array ('user1','user2');
	$botsl1 = $tmpTools->calSpotlight ($spotlight1, $this->countModules('user5')?49.9:100);
	if( $botsl1 || $this->countModules('user5')) {
?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botslwrap">
	<div id="ja-botsl" class="clearfix">

	  <?php if( $this->countModules('user5') ) {?>
	  <div class="ja-box-leftcol" style="width: <?php echo $botsl1?50:100;?>%;">
    	<jdoc:include type="modules" name="user5" style="xhtml" />
	  </div>
	  <?php } ?>

	  <?php if( $this->countModules('user1') ) {?>
	  <div class="ja-box<?php echo $botsl1['user1']['class']; ?>" style="width: <?php echo $botsl1['user1']['width']; ?>;">
	    <jdoc:include type="modules" name="user1" style="xhtml" />
	  </div>
	  <?php } ?>

	  <?php if( $this->countModules('user2') ) { ?>
	  <div class="ja-box<?php echo $botsl1['user2']['class']; ?>" style="width: <?php echo $botsl1['user2']['width']; ?>;">
	    <jdoc:include type="modules" name="user2" style="xhtml" />
	  </div>
	  <?php } ?>

	</div>
</div>
<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>

<!-- BEGIN: FOOTER -->
<div id="ja-footerwrap">
<div id="ja-footer" class="clearfix">

	<small>&copy; <?php echo JHTML::_('date', 'now', '2005 - %Y' ) . ' ' . $tmpTools->sitename();?>.</small>
	<jdoc:include type="modules" name="user3" style="raw" />
	<?php if ($this->countModules('user4')) { ?>
  <div id="ja-search">
    <jdoc:include type="modules" name="user4" style="raw" />
  </div>
	<?php } ?>
	

</div>
</div>
<!-- END: FOOTER -->

<jdoc:include type="modules" name="debug" style="raw" />
</body>

</html>
